include	clib.inc
include	conio.inc

ifdef __WCC__
PPROC	rcaddrc, main:dword, item:dword, offset_stack:word
	mov	bx,offset_stack
	mov	ax,word ptr main
	add	ax,word ptr item
	mov	[bx],ax
	mov	ax,word ptr item+2
	mov	[bx+2],ax
	mov	ax,bx
else
PPROC	rcaddrc, main:dword, item:dword
	mov	ax,word ptr main
	add	ax,word ptr item
	mov	dx,word ptr item+2
endif
	ret
PEND	rcaddrc

	END